# Spec UngappedShape
A fixed length ungapped shape (also called q-gram or k-mer).

Extends | Shape
All Extended | Shape
Defined in | <seqan/index.h>
Signature | `template <typename TValue, unsigned Q> class Shape<TValue, UngappedShape<Q> >;`

## Template Parameters

`Q` | The length of the shape (IntegerConcept).
`TValue` | The Value type of the sequence the shape is applied to (e.g. `Dna`).

## Interface Function Overview

### Interface Functions Inherited From Shape

- `hash`
- `hash2`
- `hash2Next`
- `hash2Upper`
- `hashInit`
- `hashNext`
- `hashUpper`
- `length`
- `resize`
- `shapeToString`
- `stringToShape`
- `unhash`
- `value`
- `weight`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Shape

- `Host`
- `LENGTH`
- `Size`
- `Value`
- `ValueSize`
- `WEIGHT`

## See Also

- SimpleShape

#### Dox Sources

    /*!
     * @class UngappedShape
     *
     * @extends Shape
     *
     * @headerfile <seqan/index.h>
     *
     * @brief A fixed length ungapped shape (also called q-gram or k-mer).
     *
     * @signature template <typename TValue, unsigned Q> class Shape<TValue,
     *            UngappedShape<Q> >;
     *
     * @tparam Q The length of the shape (@link IntegerConcept @endlink).
     * @tparam TValue The @link Value @endlink type of the sequence the shape is
     *                applied to (e.g. <tt>Dna</tt>).
     *
     * @see SimpleShape
     */